.\"	$NetBSD: mlxctl.8,v 1.9 2006/11/13 16:33:57 ad Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Andrew Doran.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" Copyright (c) 2000 Michael Smith
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" from FreeBSD: mlxcontrol.8,v 1.6 2000/11/20 20:10:07 ru Exp
.\"
.Dd April 10, 2000
.Dt MLXCTL 8
.Os
.Sh NAME
.Nm mlxctl
.Nd Mylex DAC960 family management utility
.Sh SYNOPSIS
.Nm mlxctl
.Op Fl f Ar dev
.Op Fl v
.Op Fl a
status
.Op Ar drive
.Op Ar ...
.Nm mlxctl
.Op Fl f Ar dev
.Op Fl a
detach
.Op Ar drive
.Op Ar ...
.Nm mlxctl
.Op Fl f Ar dev
.Op Fl a
check
.Op Ar drive
.Op Ar ...
.Nm mlxctl
.Op Fl f Ar dev
rebuild
.Ar channel:target
.Nm mlxctl
.Op Fl f Ar dev
cstatus
.Nm mlxctl
.Op Fl f Ar dev
rescan
.Nm mlxctl
.Op Fl f Ar dev
config
.Sh DESCRIPTION
The
.Nm
utility performs status monitoring and management functions for Mylex DAC960
RAID controllers and attached devices.
.Pp
The following options are available:
.Bl -tag -width xxxxxxx
.It Fl a
Apply the action to all drives attached to the controller.
.It Fl f Ar dev
Specify the control device to use.  The default is
.Pa /dev/mlx0 .
.It Fl v
Increased verbosity.
.El
.Pp
The following commands are available:
.Bl -tag -width rebuild
.It cstatus
Display the controller's current status.
.It status
Display the status of the specified drives.
This command returns
0 if all drives tested are online,
1 if one or more drives are critical and
2 if one or more are offline.
.It rescan
Re-scan the logical drive table, and attach or detach devices from the system
as necessary.
.It detach
Detach the specified drives.  Drives must be unmounted and unopened for this
command to succeed.
.It check
Initiate a consistency check and repair pass on a drive that provides
redundancy (e.g., RAID1 or RAID5).  This command returns immediately.  The
.Ar status
command can be used to monitor the progress of the check.
.It rebuild
Rebuild onto the specified physical drive.  Note that there can be only one
running rebuild operation per controller at any given time.
This command returns immediately.  The
.Ar cstatus
command can be used to monitor the progress of the rebuild.
.It config
Write the current system drive configuration to stdout.
.El
.Sh EXAMPLES
Display the status of drive ld3 attached to the controller mlx1:
.sp
.D1 Li "mlxctl -f /dev/mlx1 -v status ld3"
.Sh SEE ALSO
.Xr ld 4 ,
.Xr mlx 4
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 1.5.3 ,
and was based on
the
.Ic mlxcontrol
utility found in
.Fx .
.Sh BUGS
Modifying drive configuration is not yet supported.
.Pp
Some commands do not work with older firmware revisions.
.Pp
Error log extraction is not yet supported.
